<template>
  <ob-form
    :form-data="formData"
    :is-read-only="true"
    :dropdown-menu="dropdownMenu"
  >
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          :label="dictionaryRu.modal.name"
          v-model="selectedData.name"
          :disabled="true"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-4">
        <ob-input
          :label="dictionaryRu.modal.code"
          v-model="selectedData.code"
          :disabled="true"
        />
      </div>
      <div class="col-xs-4">
        <ob-input
          :label="dictionaryRu.modal.numeric_code"
          v-model="selectedData.numeric_code"
          :disabled="true"
        />
      </div>
      <div class="col-xs-4">
        <ob-input
          :label="dictionaryRu.modal.unicode"
          v-model="selectedData.unicode"
          :disabled="true"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          :label="dictionaryRu.modal.issuing_country"
          v-model="selectedData.issuing_country"
          :disabled="true"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          :label="dictionaryRu.modal.destination_countries"
          v-model="destinationCountries"
          :disabled="true"
        />
      </div>
    </div>
  </ob-form>
</template>

<script>
import ObInput               from 'common-components/src/obComponents/obInput';
import ObForm                from 'common-components/src/obComponents/obForm';
import dropdownEvents        from '@/mixins/dictionaries/dropdown-events';
import { dictionaryDefault } from '@/translations/ru/default'
import { dictionary }        from '@/translations/ru/dictionaries__common__currencies'

export default {
  name: 'Currency',
  components: { ObInput, ObForm },
  mixins: [dropdownEvents],
  props: {
    selectedData: {
      type: Object,
      required: true,
      default: () => {}
    }
  },
  data() {
    return {
      dictionaryRu: Object.assign(dictionary, dictionaryDefault)
    }
  },
  computed: {
    destinationCountries() {
      return this.selectedData.destination_countries
        ? this.selectedData.destination_countries.reduce((previous, item) => {
            return previous + item.name + ', ';
          }, '')
        : '';
    }
  }
};
</script>
